Skip to content

Files

Add Directory File
POST/api/v1/beta/directories/{directory_id}/files
List Directory Files
GET/api/v1/beta/directories/{directory_id}/files
Get Directory File
GET/api/v1/beta/directories/{directory_id}/files/{directory_file_id}
Update Directory File
PATCH/api/v1/beta/directories/{directory_id}/files/{directory_file_id}
Delete Directory File
DELETE/api/v1/beta/directories/{directory_id}/files/{directory_file_id}
Upload File To Directory
POST/api/v1/beta/directories/{directory_id}/files/upload
ModelsExpand Collapse
FileAddResponse = object { id, directory_id, display_name, 8 more }

API response schema for a directory file.

id: string

Unique identifier for the directory file.

directory_id: string

Directory the file belongs to.

display_name: string

Display name for the file.

minLength1
project_id: string

Project the directory file belongs to.

unique_id: string

Unique identifier for the file in the directory

minLength1
created_at: optional string

Creation datetime

formatdate-time
data_source_id: optional string

Optional data source credential associated with the file.

deleted_at: optional string

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id: optional string

File ID for the storage location.

metadata: optional map[string or number or boolean]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
string
number
boolean
updated_at: optional string

Update datetime

formatdate-time
FileListResponse = object { id, directory_id, display_name, 8 more }

API response schema for a directory file.

id: string

Unique identifier for the directory file.

directory_id: string

Directory the file belongs to.

display_name: string

Display name for the file.

minLength1
project_id: string

Project the directory file belongs to.

unique_id: string

Unique identifier for the file in the directory

minLength1
created_at: optional string

Creation datetime

formatdate-time
data_source_id: optional string

Optional data source credential associated with the file.

deleted_at: optional string

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id: optional string

File ID for the storage location.

metadata: optional map[string or number or boolean]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
string
number
boolean
updated_at: optional string

Update datetime

formatdate-time
FileGetResponse = object { id, directory_id, display_name, 8 more }

API response schema for a directory file.

id: string

Unique identifier for the directory file.

directory_id: string

Directory the file belongs to.

display_name: string

Display name for the file.

minLength1
project_id: string

Project the directory file belongs to.

unique_id: string

Unique identifier for the file in the directory

minLength1
created_at: optional string

Creation datetime

formatdate-time
data_source_id: optional string

Optional data source credential associated with the file.

deleted_at: optional string

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id: optional string

File ID for the storage location.

metadata: optional map[string or number or boolean]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
string
number
boolean
updated_at: optional string

Update datetime

formatdate-time
FileUpdateResponse = object { id, directory_id, display_name, 8 more }

API response schema for a directory file.

id: string

Unique identifier for the directory file.

directory_id: string

Directory the file belongs to.

display_name: string

Display name for the file.

minLength1
project_id: string

Project the directory file belongs to.

unique_id: string

Unique identifier for the file in the directory

minLength1
created_at: optional string

Creation datetime

formatdate-time
data_source_id: optional string

Optional data source credential associated with the file.

deleted_at: optional string

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id: optional string

File ID for the storage location.

metadata: optional map[string or number or boolean]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
string
number
boolean
updated_at: optional string

Update datetime

formatdate-time
FileUploadResponse = object { id, directory_id, display_name, 8 more }

API response schema for a directory file.

id: string

Unique identifier for the directory file.

directory_id: string

Directory the file belongs to.

display_name: string

Display name for the file.

minLength1
project_id: string

Project the directory file belongs to.

unique_id: string

Unique identifier for the file in the directory

minLength1
created_at: optional string

Creation datetime

formatdate-time
data_source_id: optional string

Optional data source credential associated with the file.

deleted_at: optional string

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id: optional string

File ID for the storage location.

metadata: optional map[string or number or boolean]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
string
number
boolean
updated_at: optional string

Update datetime

formatdate-time